Loading...
Searching...
No Matches
flashindices.hh File Reference

Defines the primary variable and equation indices for the compositional multi-phase model based on flash calculations. More...

`#include <opm/models/common/energymodule.hh>`

Go to the source code of this file.

## Classes

class | Opm::FlashIndices< TypeTag, PVOffset >
| Defines the primary variable and equation indices for the compositional multi-phase model based on flash calculations. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Defines the primary variable and equation indices for the compositional multi-phase model based on flash calculations.

Defines the primary variable and equation indices for the compositional multi-phase model based on PT flash calculations.

Template Parameters

  PVOffset | The first index in a primary variable vector.